## piserial 4.0.0

=== debian/changelog ===
piserial (4.0.0-1+deb13+1) trixie; urgency=medium

  * Initial release for trixie

 -- Thomas Böhler <t.boehler@kunbus.com>  Thu, 04 Dec 2025 08:39:31 +0100

piserial (3.1.0-1+revpi12+1) bookworm; urgency=medium

  [ Philipp Rosenberger ]
  * Update /debian for Bookworm

  [ Nicolai Buchwitz ]
  * ci: Add pipeline for package build

  [ Philipp Rosenberger ]
  * chore: Make repository REUSE compliant
  * chore: Use CMake project version as PISERIAL_VERSION
  *  chore: Remove C++ dependency from project
  * chore: Use GNUInstallDirs cmake-module to define install location
  * feat: Load i2c-dev through /etc/modules-load.d
  * fix: Fix tpm2.h include guard, and use #pragma once for all headers
  * fix: Fix warning: variable 'ret' is used uninitialized
  * fix: Warning: comparison of integers of different signs
  * fix: Fix typo in an error message specifiy => specify
  * chore: Update copyright date in the SPDX headers
  * Release piserial 3.1.0

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Fri, 18 Aug 2023 15:54:56 +0200

piserial (3.0.1-1+revpi11+1) bullseye; urgency=medium

  [ Philipp Rosenberger ]
  * Update SPDX license headers

  [ Nicolai Buchwitz ]
  * Fix typo in warn message
  * Update copyright year

  [ Lukas Wunner ]
  * Prefer TPM whenever it's available

  [ Sven Sager ]
  * Set upstream-branch value in gbp.conf to master

 -- Sven Sager <s.sager@kunbus.com>  Fri, 14 Apr 2023 14:15:31 +0200

piserial (3.0.0-1+revpi11+1) bullseye; urgency=medium

  * Remove breaks on revpi-tools as it breaks the upgrade path

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Tue, 06 Dec 2022 11:11:07 +0100

piserial (3.0.0-1) buster; urgency=medium

  [ Zhi Han ]
  * Add golden image for EEPROM of LAN9514
  * Add script to write golden image and MAC to EEPROM

  [ Holger Jorra ]
  * Adapted factory reset to CM1 overlay
  * Fix comparison between string and number

  [ Philipp Rosenberger ]
  * Remove unquoting quotes from usage string
  * Remove usless $() and 3>&1 1>&2 2>&3 from whiptail call
  * Update the year in the copyright header

  [ Zhi Han ]
  * Fix the company name in Copyright field
  * Move setting of hdmi-disable out of 'if $deviceeth1...' clause
  * Remove compatibility checks for older setups
  * Ajust factory reset for devices with HAT EEPROM

  [ Nicolai ]
  * Fix working dir for lan9514 target

  [ Nicolai Buchwitz ]
  * Add dependency to xxd

  [ Zhi Han ]
  * Remove enabling and starting of hdmi-disable.service
  * Transfer systemd files to revpi-tools
  * Transfer ks8851 tools to revpi-tools
  * Transfer factory-reset tools to revpi-tools
  * Transfer lan95xx tools to revpi-tools

  [ Philipp Rosenberger ]
  * Bump version to 3.0.0
  * Remove deps of tools moved to revpi-tools repo
  * Make the piserial break revpi-tools <= 1.0.16-1
  * This package doesn't require root to build
  * Add Vcs-* meta data to the control file
  * Add valid license to copyright file: GPL-2

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Thu, 01 Dec 2022 11:09:11 +0100

piserial (2.1.1-1) buster; urgency=medium

  [ Ramiro Gsponer ]
  * Factory Reset: Text menu changed

  [ Zhi Han ]
  * Remove Core SE from factory reset

  [ Ramiro Gsponer ]
  * Bump version to 2.1.1

 -- Ramiro Gsponer <r.gsponer@kunbus.com>  Mon, 18 Jul 2022 14:05:35 +0200

piserial (2.1.0-1) buster; urgency=medium

  * Refactory: Use variables to hold device type list
  * Refactory: Use whiptail to interact with User
  * Add device type Core SE
  * Add device type Connect SE
  * Make the factory resetting progress can be cancelled
  * Remove the setting of mac during factory reset
  * Bump version to 2.1.0

 -- Zhi Han <z.han@kunbus.com>  Tue, 19 Apr 2022 15:25:14 +0200

piserial (2.0.2-2) buster; urgency=medium

  * Replace depend of net-tools with iproute2

 -- Zhi Han <z.han@kunbus.com>  Tue, 01 Mar 2022 11:08:59 +0100

piserial (2.0.2-1) buster; urgency=medium

  * Replace command ifconfig with ip
  * Bump version to 2.0.2

 -- Zhi Han <z.han@kunbus.com>  Mon, 28 Feb 2022 15:19:47 +0100

piserial (2.0.1-2) buster; urgency=medium

  * Update gbp.conf

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Tue, 30 Nov 2021 11:34:15 +0100

piserial (2.0.1-1) buster; urgency=medium

  [ Frank Pavlic ]
  * add GPL-2.0 license to piserial
  * Remove README.md from repository

  [ Romain Létendart ]
  * revpi-factory-reset: Follow symlinks with sed

  [ Philipp Rosenberger ]
  * revpi-factory-reset: Remove MAC addr handling for wlan on Flat
  * Bump version to 2.0.1

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Mon, 29 Nov 2021 15:59:46 +0100

piserial (2.0.0-1) buster; urgency=medium

  [ Lino Sanfilippo ]
  * factory-reset: Fix wrong mac address configuration
  * factory-reset:flat: Setup MAC address for wireless network interface
  * systemd: add service to disable hdmi at bootup
  * factory-reset:flat: Disable HDMI display

  [ Philipp Rosenberger ]
  * debian/gbp.conf: define raspios/buster as default branch

  [ Lino Sanfilippo ]
  * Set initial piserial version to 2.0.0

 -- Lino Sanfilippo <l.sanfilippo@kunbus.com>  Tue, 09 Mar 2021 13:22:51 +0100

piserial (2.0.0~alpha2-1) buster; urgency=medium

  * This is a complete rewrite of piserial
  * Add TPM support
  * Add locking to support concurrent call af revpi-piserial
  * Remove hostname from piserial
  * revpi-factory-reset: Use parted instead of sfdisk.

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Fri, 26 Feb 2021 12:10:48 +0100

piserial (1.4.6~0flat2) stable; urgency=medium

  * change the default crypto chip as tpm

 -- Lino Sanfilippo <l.sanfilippo@kunbus.com>  Mon, 02 Nov 2020 10:49:26 +0100

piserial (1.4.6~0flat1) stable; urgency=medium

  * Add TPM support.
  * Add RevolutionPi Flat support.
  * Refactor argument handling.

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Tue, 20 Oct 2020 16:55:40 +0200

piserial (1.4.5) stable; urgency=medium

  * Remove unused/wrong build dependency.


