=== debian/control ===
Source: piserial
Section: contrib/electronics
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Rules-Requires-Root: no
Homepage: https://revolutionpi.com/
Vcs-Browser: https://gitlab.com/revolutionpi/piserial
Vcs-Git: https://gitlab.com/revolutionpi/piserial.git -b debian/trixie
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libtss2-dev (>= 3.0),
 scdoc,
Standards-Version: 4.7.2

Package: piserial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Revolution Pi serial number utility
 Retrieve the RevPi's serial number and generate the factory-default password.
 Revolution Pi is a set of IoT products based on the Raspberry Pi and
 geared towards industrial usage.
